# FoundationClasses
TKernel
OSD

# OSD_Process Class Reference

A set of system process tools
.

`#include <OSD_Process.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Process ()
| Initializes the object and prepare for a possible dump .
Standard_EXPORT void | Spawn (const TCollection_AsciiString &cmd, const Standard_Boolean ShowWindow=Standard_True)
| Issues a shell command ShowWindow : flag to allow show/hide of the window ( only used on WNT ) .
Standard_EXPORT void | TerminalType (TCollection_AsciiString &Name)
| Returns the terminal used (vt100, vt200 ,sun-cmd ...) .
Standard_EXPORT Quantity_Date | SystemDate ()
| Gets system date. .
Standard_EXPORT Standard_Integer | UserId ()
| Returns the 'User Id'. .
Standard_EXPORT TCollection_AsciiString | UserName ()
| Returns the user name. .
Standard_EXPORT Standard_Boolean | IsSuperUser ()
| Returns True if the process user is the super-user. .
Standard_EXPORT Standard_Integer | ProcessId ()
| Returns the 'Process Id' .
Standard_EXPORT OSD_Path | CurrentDirectory ()
| Returns the current path where the process is. .
Standard_EXPORT void | SetCurrentDirectory (const OSD_Path &where)
| Changes the current process directory. .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs .
Standard_EXPORT void | Reset ()
| Resets error counter to zero .
Standard_EXPORT void | Perror ()
| Raises OSD_Error .
Standard_EXPORT Standard_Integer | Error () const
| Returns error number if 'Failed' is TRUE. .

## Private Attributes

OSD_Error | myError

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Process::OSD_Process | ( |  | ) |

## Member Function Documentation

Standard_EXPORT OSD_Path OSD_Process::CurrentDirectory | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_Process::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_Process::Failed | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_Process::IsSuperUser | ( |  | ) |

void OSD_Process::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_Process::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_Process::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_Process::Perror | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_Process::ProcessId | ( |  | ) |

Standard_EXPORT void OSD_Process::Reset | ( |  | ) |

Standard_EXPORT void OSD_Process::SetCurrentDirectory | ( | const OSD_Path & | where | ) |

Standard_EXPORT void OSD_Process::Spawn | ( | const TCollection_AsciiString & | cmd,
|  | const Standard_Boolean | ShowWindow = `Standard_True`
| ) |

Standard_EXPORT Quantity_Date OSD_Process::SystemDate | ( |  | ) |

Standard_EXPORT void OSD_Process::TerminalType | ( | TCollection_AsciiString & | Name | ) |

Standard_EXPORT Standard_Integer OSD_Process::UserId | ( |  | ) |

Standard_EXPORT TCollection_AsciiString OSD_Process::UserName | ( |  | ) |

## Field Documentation

OSD_Error OSD_Process::myError `[private]`

The documentation for this class was generated from the following file:

- OSD_Process.hxx